Index: c/src/lib/libbsp/m68k/mrm332/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mrm332/ChangeLog	(revision 87f4b9c29c81f68393a9b5be9f86ac0eccdf8ea3)
+++ c/src/lib/libbsp/m68k/mrm332/ChangeLog	(revision 4c01fce6af60bfda3d901d50cbb3dac8d5957e4d)
@@ -1,2 +1,12 @@
+2002-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* clock/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* console/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* spurious/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* start/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* startup/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* timer/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* wrapup/Makefile.am: Use .$(OBJEXT) instead of .o.
+
 2002-08-05	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/lib/libbsp/m68k/mrm332/clock/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mrm332/clock/Makefile.am	(revision 87f4b9c29c81f68393a9b5be9f86ac0eccdf8ea3)
+++ c/src/lib/libbsp/m68k/mrm332/clock/Makefile.am	(revision 4c01fce6af60bfda3d901d50cbb3dac8d5957e4d)
@@ -7,5 +7,5 @@
 
 C_FILES = ckinit.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(C_O_FILES)
Index: c/src/lib/libbsp/m68k/mrm332/console/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mrm332/console/Makefile.am	(revision 87f4b9c29c81f68393a9b5be9f86ac0eccdf8ea3)
+++ c/src/lib/libbsp/m68k/mrm332/console/Makefile.am	(revision 4c01fce6af60bfda3d901d50cbb3dac8d5957e4d)
@@ -7,5 +7,5 @@
 
 C_FILES = console.c sci.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 H_FILES = sci.h
Index: c/src/lib/libbsp/m68k/mrm332/spurious/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mrm332/spurious/Makefile.am	(revision 87f4b9c29c81f68393a9b5be9f86ac0eccdf8ea3)
+++ c/src/lib/libbsp/m68k/mrm332/spurious/Makefile.am	(revision 4c01fce6af60bfda3d901d50cbb3dac8d5957e4d)
@@ -7,5 +7,5 @@
 
 C_FILES = spinit.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(C_O_FILES)
Index: c/src/lib/libbsp/m68k/mrm332/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mrm332/start/Makefile.am	(revision 87f4b9c29c81f68393a9b5be9f86ac0eccdf8ea3)
+++ c/src/lib/libbsp/m68k/mrm332/start/Makefile.am	(revision 4c01fce6af60bfda3d901d50cbb3dac8d5957e4d)
@@ -4,5 +4,5 @@
 
 S_FILES = start.S
-S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.o)
+S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(S_O_FILES)
@@ -16,14 +16,14 @@
 #
 
-bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
+bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
 
-$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(ARCH)/start.o
+$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT): $(ARCH)/start.$(OBJEXT)
 	$(INSTALL_DATA) $< $@
 
-TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
+TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
 
-all-local: $(ARCH) $(OBJS) $(ARCH)/start.o $(TMPINSTALL_FILES)
+all-local: $(ARCH) $(OBJS) $(ARCH)/start.$(OBJEXT) $(TMPINSTALL_FILES)
 
-.PRECIOUS: $(ARCH)/start.o
+.PRECIOUS: $(ARCH)/start.$(OBJEXT)
 
 EXTRA_DIST = start.S
Index: c/src/lib/libbsp/m68k/mrm332/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mrm332/startup/Makefile.am	(revision 87f4b9c29c81f68393a9b5be9f86ac0eccdf8ea3)
+++ c/src/lib/libbsp/m68k/mrm332/startup/Makefile.am	(revision 4c01fce6af60bfda3d901d50cbb3dac8d5957e4d)
@@ -10,8 +10,8 @@
 C_FILES = start_c.c bsplibc.c bsppost.c bspstart.c bspclean.c bootcard.c \
     m68kpretaskinghook.c main.c sbrk.c setvec.c gnatinstallhandler.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 S_FILES = except_vect_332_ROM.S
-S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.o)
+S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(C_O_FILES) $(S_O_FILES)
@@ -39,6 +39,6 @@
 	$(INSTALL_DATA) $< $@
 
-$(PROJECT_RELEASE)/lib/except_vect_332_ROM$(LIB_VARIANT).o: \
-    $(ARCH)/except_vect_332_ROM.o
+$(PROJECT_RELEASE)/lib/except_vect_332_ROM$(LIB_VARIANT).$(OBJEXT): \
+    $(ARCH)/except_vect_332_ROM.$(OBJEXT)
 	$(INSTALL_DATA) $< $@
 
@@ -46,5 +46,5 @@
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/linkcmds \
     $(PROJECT_RELEASE)/lib/linkcmds_ROM \
-    $(PROJECT_RELEASE)/lib/except_vect_332_ROM$(LIB_VARIANT).o
+    $(PROJECT_RELEASE)/lib/except_vect_332_ROM$(LIB_VARIANT).$(OBJEXT)
 
 all-local: $(ARCH) $(OBJS) $(PGM) $(TMPINSTALL_FILES)
Index: c/src/lib/libbsp/m68k/mrm332/timer/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mrm332/timer/Makefile.am	(revision 87f4b9c29c81f68393a9b5be9f86ac0eccdf8ea3)
+++ c/src/lib/libbsp/m68k/mrm332/timer/Makefile.am	(revision 4c01fce6af60bfda3d901d50cbb3dac8d5957e4d)
@@ -7,5 +7,5 @@
 
 C_FILES = timer.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(C_O_FILES)
Index: c/src/lib/libbsp/m68k/mrm332/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mrm332/wrapup/Makefile.am	(revision 87f4b9c29c81f68393a9b5be9f86ac0eccdf8ea3)
+++ c/src/lib/libbsp/m68k/mrm332/wrapup/Makefile.am	(revision 4c01fce6af60bfda3d901d50cbb3dac8d5957e4d)
@@ -6,6 +6,6 @@
 
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
-OBJS = $(foreach piece, $(BSP_PIECES), $(wildcard ../$(piece)/$(ARCH)/*.o)) \
-    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/shared/misc/$(ARCH)/memcpy.o)
+OBJS = $(foreach piece, $(BSP_PIECES), $(wildcard ../$(piece)/$(ARCH)/*.$(OBJEXT))) \
+    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/shared/misc/$(ARCH)/memcpy.$(OBJEXT))
 LIB = $(ARCH)/libbsp.a
 
